Bug 1884819 - IdM Web UI shows users as disabled [rhel-7.9.z]
Summary: IdM Web UI shows users as disabled [rhel-7.9.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Florence Blanc-Renaud
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-02 21:11 UTC by Scott Nicholas
Modified: 2021-03-16 13:57 UTC (History)
7 users (show)

Fixed In Version: ipa-4.6.8-5.el7_9.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-16 13:56:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
user list showing the users created are enabled (72.09 KB, image/png)
2021-02-15 14:50 UTC, Michal Polovka
no flags Details
user edit window showing correct attributes (103.89 KB, image/png)
2021-02-15 14:51 UTC, Michal Polovka
no flags Details

Description Scott Nicholas 2020-10-02 21:11:00 UTC
Description of problem:

Users show as disabled in IdM Web UI

Version-Release number of selected component (if applicable):

python2-ipaserver-4.6.8-5.el7.noarch

How reproducible:

Always reproducible using following steps

Steps to Reproduce:
1. ipa-server-install --http-cert-file ... --dirsrv-cert-file ... --ca-cert-file ...
2. login to web ui, maybe create some users
3. view users

Actual results:

Users end up showing as disabled, unable to reset password, no checkbox under "User authentication types", often errors about saving changes or reverting when changes weren't made.

Expected results:

None of that nonsense...

Additional info:

Web UI calls cert_find when opening a user and seems to treat the raised error (No CA is configured) as problem with the user. Bypassing that error fixes the Web UI although it's probably better dealt with in the Web UI javascript. I am unsure the other issues with doing this, but it does fix this particular issue:

/usr/lib/python2.7/site-packages/ipaserver/plugins/cert.py

  1451          try:
  1452              ca_enabled_check(self.api)
  1453          except errors.NotFound:
  1454  #            if ra_options:
  1455  #                raise
  1456              return result, False, complete

Comment 2 Florence Blanc-Renaud 2020-10-05 08:51:47 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8203

Comment 3 Florence Blanc-Renaud 2020-10-05 08:58:51 UTC
The issue has already been reported upstream in ticket 8203, and can be reproduced.

Install RHEL 7.9 ipa server in CA-less mode.
Create a user: kinit admin; ipa user-add idmuser --first idm --last user --user-auth-type otp
In the WebUI navigate to the user info, the User Authentication Type box for OTP is not checked and the fields related to password policy are not editable/visible.

Comment 4 Florence Blanc-Renaud 2020-10-05 09:00:00 UTC
Similar issue on RHEL 8: https://bugzilla.redhat.com/show_bug.cgi?id=1835853

Comment 5 Scott Nicholas 2020-10-05 13:48:59 UTC
I tried searching upstream but possibly used the wrong words. I can see if the cert.py patch applies here.

Comment 8 Florence Blanc-Renaud 2020-11-26 17:26:55 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8369

Comment 9 Scott Nicholas 2020-11-27 15:10:50 UTC
I applied the upstream commit eb8cb4d to my system with ipa-server-4.6.8-5.el7 and it does fix this issue.

Comment 13 Michal Polovka 2021-02-15 14:49:21 UTC
Verified manually (automation pending) using ipa-server-4.6.8-5.el7_9.4.x86_64 on RHEL7.9z.

Setup:
1. # created certificates for ca-less install
2. ipa-server-install --http-cert-file /tmp/nssdb/server.p12 --dirsrv-cert-file /tmp/nssdb/server.p12 --http-pin $PIN --dirsrv-pin $PIN --domain dom-$(hostname -f) --realm DOM-$(hostname -f | tr '[:lower:]' '[:upper:]') -a $PASS -p $PASS --no-pkinit -U
3. kinit admin; ipa user-add idmuser --first idm --last user --user-auth-type otp
4. # login to WebUI
5. check user idmuser -> user is enabled, all authentication attributes are correctly selected, it's possible to reset password
6. create new users from WebUI -> all are enabled, it's possible to reset their passwords

See attached screenshots.

Coverage flag will be updated when automation is finished.

Comment 14 Michal Polovka 2021-02-15 14:50:42 UTC
Created attachment 1757105 [details]
user list showing the users created are enabled

Comment 15 Michal Polovka 2021-02-15 14:51:44 UTC
Created attachment 1757106 [details]
user edit window showing correct attributes

Comment 19 errata-xmlrpc 2021-03-16 13:56:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: ipa security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0860


Note You need to log in before you can comment on or make changes to this bug.